const footer = require('./htmlFooter')

const nav = ({prev, next}) => {
  let ul = `  <ul class="nav">
    <li><a class="home" href=".."><span class="link-text">Journal Home</span></a></li>`

  if (prev) {
    ul += `    <li><a class="prev" href="${prev}"><span class="link-text">Previous</span></a></li>\n`
  }

  if (next) {
    ul += `    <li><a class="next" href="${next}"><span class="link-text">Next</span></a></li>\n`
  }

  ul += `  </ul>`

  return ul
}

module.exports = (title, content, data) => {
let page = `
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>${title}</title>
  <link href="../styles.css" rel="stylesheet">
  <link rel="alternate" type="application/atom+xml" title="Feed for mycrobe's Journal" href="../feed.xml">
  <meta name="viewport" content="width=device-width,initial-scale=1">
  <meta name="generator" content="CMS ETL BBQ; https://tildegit.org/mycrobe/cmsetlbbq/issues/19" />
</head>
<body>
${nav(data)}
  <div class="heading">
    <h1 class="title">${title}</h1>
    <ul class="tags">
      ${data.tags.map(tag => `<li><a href="../tags/${tag}/">${tag}</a></li>`).join('')}
    </ul>
    <div class="metadata">
      <div class="date">${data.date}</div><div class="location">${data.location || ''}</div>
    </div>
  </div>
  <div class="content">
    ${content}
  </div>
${nav(data)}
${footer('..')}
</body>
`

return page
}
