const RSS = require('rss')

const defaultFeedData = {
  title: '~mycrobe\'s journal',
  feed_url: '//tilde.club/~mycrobe/journal/feed.xml',
  site_url: '//tilde.club/~mycrobe/journal',
  categories: [],
  pubDate: new Date().toUTCString(),
}

module.exports = (links, tags, feedData) => {
  const feedOptions = {...defaultFeedData, ...feedData, categories: tags}
  const feed = new RSS(feedOptions)
  links.forEach(link => {
    // using http for compatibility with older computers that can't use https    
    const absoluteUrlRoot = `http:${feedOptions.site_url}/${link.relativeUrl}/`
    const description = link.html
        .replace(/<img src="/g, `<img src="${absoluteUrlRoot}`)
        .replace(/<a href="/g, `<a href="${absoluteUrlRoot}`)

    const itemOptions = {
      title: link.title,
      description,
      url: feedOptions.site_url + '/' + link.relativeUrl,
      guid: link.dir,
      categories: link.tags,
      date: link.data.dateTime.toISO(),
    }

    feed.item(itemOptions)
  })

  return feed.xml({indent: '  '})
}
